Bug 622781 - zlib has fence-post error in adler32_combine
Summary: zlib has fence-post error in adler32_combine
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: zlib   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ivana Varekova
QA Contact: Petr Sklenar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: GSS_6_2_PROPOSED 697582
TreeView+ depends on / blocked
 
Reported: 2010-08-10 12:09 UTC by Martin Poole
Modified: 2011-09-19 10:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 622779
Environment:
Last Closed: 2011-07-13 08:38:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0931 normal SHIPPED_LIVE zlib bug fix update 2011-07-13 08:38:29 UTC

Description Martin Poole 2010-08-10 12:09:55 UTC
+++ This bug was initially created as a clone of Bug #622779 +++

Description of problem:

zlib as shipped has a fence-post error in the adler32_combine routine which can occasionally result in an incorrect checksum being calculated

This has been corrected in zlib-1.2.4

Version-Release number of selected component (if applicable):

zlib-1.2.3-3


upstream changelog simply reads

  "- Fix bug in adler32_combine() [Zhu]"


--- Additional comment from mpoole@redhat.com on 2010-08-10 08:07:35 EDT ---

Created an attachment (id=437860)
patch for adler32_combine bug

Comment 3 Suzanne Yeghiayan 2011-02-15 21:41:47 UTC
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.

Comment 5 Suzanne Yeghiayan 2011-02-15 22:05:14 UTC
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.

Comment 9 errata-xmlrpc 2011-07-13 08:38:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0931.html


Note You need to log in before you can comment on or make changes to this bug.